Get all Brands Detail

GET Method

The Get all Brand DetailsAPI request fetches the details of all the brands belonging to the specified organization.

Prerequisites

  • After you sign up, your account will be on the trial version. You must complete the KYC to access all the features in kaleyra.io.
  • Before you get started, Create an API Key. To view the API Key and the SID, see View API Key and SID.
  • To send any RCS messages, you must configure the RCS channel in the Kaleyra platform. To configure the RCS channel in your account, please contact your local Kaleyra representative.

Base URL

https://rcs-api.<pod>.kaleyra.io/v1/<sid>

API Domain and Value

api_domainValue
IN podhttps://rcs-api.in.kaleyra.io
NA podhttps://rcs-api.na.kaleyra.io

API Request to get all the Brand Details

To get all the brand details for an organization, use the https://rcs-api.<pod>.kaleyra.io/v1/<sid>/rcs/brands endpoint with the following request method:

Request Format

The following is the request format to get all the brands details for an organization:

curl --location 'https://<api_domain>/v1/<sid>/rcs/brands'\
--header 'Content-Type: <content_type>' \
--header 'api-key: <api-key>'

Sample Request Format

The following is the sample request format to get all the brands for an organization:

curl --location 'https://rcs-api.in.kaleyra.io/v1/XXXXX6913850XXXX/rcs/brands'\
--header 'Content-Type: application/json' \
--header 'api-key: XXXXX3b8497f58a94e84b671aca43XXXX'

URL Parameters and Headers

The following is the list of parameters and headers to send the outgoing message request:

Parameter/HeadersData TypeDescriptionExampleMandatory?
sidStringAccount SID (Security Identifier).XXXXX6913850XXXXYes
Content-TypeStringIndicates the format of the content the API will be processing.The only allowed value is application/JSONYes
api-keyStringAPI key generated from kaleyra.io account.XXXXX3b8497f58a94e84b671aca43XXXXYes

Sample Success Response

The following is a sample success response:

{
    "code": "RCS802",
    "message": "RCS Brand details fetched successfully",
    "data": [
        {
            "brand_name": "Tata Communication Demo",
            "brand_number": "74XX2",
            "display_name": "Demo Brand",
            "brand_description": "This is a demo for Brand.",
            "org_id": "77XXXX6e-9XX0-4XXd-aXX1-b8XXXXXXXX62",
            "contact_name": "John",
            "contact_email": "[email protected]",
            "image_id": "https://d2lu0ihi6f347r.cloudfront.net/175XXXXX87913-TC_Small_logo_(224_x_224)_1.png",
            "thumbnail_imageid": "https://d2lu0ihi6f347r.cloudfront.net/175XXXXXX3172-TC_Banner_Image.jpg",
            "status": "ACTIVE",
            "created_date": "Mar 11, 2026",
            "modified_date": "Mar 11, 2026",
            "id": "ecXXXX09-6XX6-4XX1-aXX0-bcXXXXXXXX05",
            "rcs_provider_id": 0,
            "org_number": "59XX2"
        },
        {
            "brand_name": "Tata Communication Demo 1",
            "brand_number": "73XX2",
            "display_name": "Test Demo Brand",
            "brand_description": "This is test demo brand.",
            "org_id": "69XXXXf4-9XX8-4XXd-8XX4-d3XXXXXXXX76",
            "contact_name": "Jean",
            "contact_email": "[email protected]",
            "image_id": "https://d2lu0ihi6f347r.cloudfront.net/175XXXXX7913-TC_Small_logo_(224_x_224)_1.png",
            "thumbnail_imageid": "",
            "status": "ACTIVE",
            "created_date": "Mar 11, 2026",
            "modified_date": "Mar 11, 2026",
            "id": "ecXXXX09-6XX6-4XX1-aXX0-bcXXXXXXXX79",
            "rcs_provider_id": 0,
            "org_number": "59XX2"
        },
        {
            "brand_name": "Tata Communication Demo 2",
            "brand_number": "32XX0",
            "display_name": "Demo 3",
            "brand_description": "This is the demo 2 for brand.",
            "org_id": "6eXXXXdc-aXX7-4XX0-bXX9-fcXXXXXXXXb9",
            "contact_name": "Jolly",
            "contact_email": "[email protected]",
            "image_id": "",
            "thumbnail_imageid": "",
            "status": "ACTIVE",
            "created_date": "Feb 25, 2026",
            "modified_date": "Feb 25, 2026",
            "id": "88XXXXXe-5XX7-4XX4-8XX9-6dXXXXXXXba",
            "rcs_provider_id": 0,
            "org_number": "12XX2"
        },
        {
            "brand_name": "Tata Communication Demo 3",
            "brand_number": "32XX1",
            "display_name": "Demo 4",
            "brand_description": "This is demo 4 for brand.",
            "org_id": "6eXXXXdc-aXX7-4XX0-bXX9-fcXXXXXXXXb9",
            "contact_name": "Polly",
            "contact_email": "[email protected]",
            "image_id": "https://i.pinimg.com/736x/5b/ac/94/5bac942d02e70XXXXXXbf2ff04efe97.jpg",
            "thumbnail_imageid": "https://i.pinimg.com/736x/7c/93/d3/7c93d3b72058XXXXXX3115387f9250.jpg",
            "status": "ACTIVE",
            "created_date": "Feb 25, 2026",
            "modified_date": "Feb 25, 2026",
            "id": "b5XXXX99-aXX7-4XXa-9XX3-9aXXXXXXXX63",
            "rcs_provider_id": 0,
            "org_number": "89XX2"
        },

Following is the list of parameters shown in the success response:

ParameterData TypeDescriptionExample
brand_nameStringOfficial name of the brand to be updated.
Note: The maximum length is up to 100 characters.
Tata Communication Demo
brand_numberStringAuto generated brand number sent back as response from the server once the brand is created.74XX2
display_nameStringName to be displayed publicly.
Note: The maximum length is up to 100 characters.
Demo Brand
brand_descriptionStringUpdated description of the brand.
Note: The maximum length is up to 200 characters.
This is a demo for Brand
org_idStringUUID of selected Organization. The details will be provided by Kaleyra Support team.
Note: Organization ID cannot be changed.
77XXXX6e-9XX0-4XXd-aXX1-b8XXXXXXXX62
contact_nameStringName of the contact.
Note: The maximum length is up to 200 characters.
John
contact_emailStringEmail of the contact.[email protected]
statusStringStatus of the brand. Possible values are active or inactive.ACTIVE
created_dateStringBrand creation date.Feb 3, 2026
modified_dateStringBrand modified date.Feb 3, 2026
idStringData correlation purpose that will be used in inside RCS GW and Google.ecXXXX09-6XX6-4XX1-aXX0-bcXXXXXXXX05
org_numberStringNumber generated when an organization is onboarded.59XX2

Sample Failure Response

The following are sample failure responses:

400 Bad Request - RCS Not Enabled

{
    "code": "RCS601",
    "message": "RCS Channel is not enabled for this User",
    "data": [],
    "error": {
        "error_code": "RCS_CHANNEL_DISABLED",
        "error_message": "RCS Channel is not enabled for this User"
    }
}

500 Internal Server Error - Organization Not Found

{
  "code": "RCS510",
  "message": "Unable to fetch Org details for the user.",
  "data": [],
  "error": {
    "error_code": "ORG_NOT_FOUND",
    "error_message": "Unable to fetch Org details for the user."
  }
}

500 Internal Server Error - API Call Failed

{
  "code": "RCS805",
  "message": "Failed to call Prov API",
  "data": [],
  "error": {
    "error_code": "PROV_ERROR",
    "error_message": "actual API error message"
  }
}

4xx Downstream Error

{
  "code": "RCS804",
  "message": "Unable to fetech Brand details-{brand_number}",
  "data": [],
  "error": {
    "error_code": "DOWNSTREAM_ERROR",
    "error_message": "raw downstream response body as string"
  }
}




© 2026 Kaleyra Inc. All rights reserved.
Trademarks, logos and service marks displayed on this site are registered and unregistered trademarks of Kaleyra Inc.